picard.illumina.parser

## Class ReadDescriptor

- java.lang.Object
- - picard.illumina.parser.ReadDescriptor

-     public class ReadDescriptor
      extends Object

  Represents one set of cycles in an ReadStructure (e.g. if the ReadStructure is 36TB836T then 36T, 8B, and 36T are invidually represented internally as a ReadDescriptor).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `length`
    `ReadType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadDescriptor(int length, ReadType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### length

          public final int length

    - #### type

          public final ReadType type

  - ### Constructor Detail

    - #### ReadDescriptor

          public ReadDescriptor(int length,
                                ReadType type)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`